#include "audiomasterwidget.h"

#include <QVBoxLayout>

AudioMasterWidget::AudioMasterWidget(QWidget *parent) :
    QGroupBox(parent)
  , m_file(new QLabel)
  , m_folder(new QLabel)
  , m_vol(new QSlider)
  , m_mute(new QCheckBox)
  , m_status(new QLabel)
  , m_receiveDMX(new QCheckBox)
  , m_watchDMX(new QTimer)
{
    QVBoxLayout *vbox = new QVBoxLayout;
//    vbox->addWidget(status);
//    vbox->addWidget(vol);
//    vbox->addWidget(mute);
    m_receiveDMX->setText("Receiving DMX");
    vbox->addWidget(m_receiveDMX);
    this->setLayout(vbox);
    connect(m_watchDMX, SIGNAL(timeout()),
              this, SLOT(watchDMXExpired()));
    m_watchDMX->start(1000);

}

AudioMasterWidget::~AudioMasterWidget()
{

}

void AudioMasterWidget::watchDMXExpired() {
    m_receiveDMX->setChecked(false);
}

void AudioMasterWidget::updateWatchDMX()
{
    m_receiveDMX->setChecked(true);
}
